package com.smoa.comp.sdk.exceptions;

import com.smoa.comp.sdk.exceptions.SMOACompException;

public class UnknownReservationIdentifierException extends SMOACompException {
	protected String customMessage;
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public UnknownReservationIdentifierException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.smoa.comp.stubs.ares.UnknownReservationIdentifierFault) {
			com.smoa.comp.stubs.ares.UnknownReservationIdentifierFault f = (com.smoa.comp.stubs.ares.UnknownReservationIdentifierFault)ex;
			customMessage = f.getFaultInfo().getMessage();
			infoMessage = customMessage;
		} else {
			throw new AssertionError(ex);
		}
	}
	
	public String getCustomMessage(){
		return customMessage;
	}
}
