package com.smoa.comp.tests;



import java.io.FileReader;

import com.smoa.comp.sdk.jsdl.JSDL;
import com.smoa.comp.sdk.types.ActivityEndpointReference;
import com.smoa.comp.sdk.types.SMOAActivityStatus;


/**
 * Unit test for simple App.
 */
public class BreinStagingTest 
    extends SMOACompConfig
{
	

	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}
	
	public void testDateStagingBrein() throws Throwable {
		
		JSDL jsdl = new JSDL(new FileReader(getRes("brein.xml")));
		
		ActivityEndpointReference jobEpr = factory.createActivity(jsdl);
		
		
		System.err.println("jobEpr = " + jobEpr);
		
		
		SMOAActivityStatus stat = null;
		while (!(stat = factory.getActivityStatus(jobEpr)).isFinalState()) {
			System.err.println(stat);
			Thread.sleep(5000);
		}
		
		jobEpr = new ActivityEndpointReference(jobEpr.getAddress(), jobEpr.getActivityUUID());
		
		System.err.println("final stat: " + stat);

		System.err.println("Job is done!");
	}	
}
