package com.smoa.comp.tests;

import static org.junit.Assert.*;

import java.net.InetSocketAddress;

import org.junit.Before;
import org.junit.Test;

import com.smoa.comp.sdk.SMOASocks;
import com.smoa.comp.sdk.socks.SocksSocket;
import com.smoa.core.sdk.security.anonymous.AnonymousAuthentication;

public class SMOACompSocksTest {
    
    protected SMOASocks socks;
    
    @Before
    public void setUp() throws Exception {
	socks = new SMOASocks("localhost", 19000, new AnonymousAuthentication());
    }
    
    @Test
    public void getToken() throws Throwable {	
	SocksSocket socket = new SocksSocket();
	socket.setProxy(new InetSocketAddress("localhost", 1080));
	socket.setToken(socks.getToken());
	socket.connect(new InetSocketAddress("www.man.poznan.pl", 80));
	assertTrue(socket.isConnected());
    }
}
