package com.smoa.comp.tests;



import com.smoa.comp.sdk.jsdl.JSDL;
import com.smoa.comp.sdk.types.SMOAActivityStatus;

/**
 * Unit test for simple App.
 */
public class SimpleAppSubmitTest 
    extends SMOACompConfig
{

	
	public void testAppNameSubmit() throws Throwable {
		
		jsdl = new JSDL("date");
		jsdl.setApplicationName("date");
		jsdl.setUserName(username1);
		
		jobEpr1 = factory.createActivity(jsdl);
		
		waitForTermination(jobEpr1);
		assertEquals(SMOAActivityStatus.SMOA_ACTIVITY_STATE_FINISHED, factory.getActivityStatus(jobEpr1).getState());
		assertEquals(0, factory.getActivityStatus(jobEpr1).getEndStatus().getExitStatus().intValue());
	}
	
	
}
