package com.smoa.comp.tests;



import java.io.File;
import java.io.FileReader;

import com.smoa.comp.sdk.jsdl.JSDL;


/**
 * Unit test for simple App.
 */
public class StagInOutMultiuserTest 
    extends SMOACompConfig
{

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		
	}
	
	public void testAttachmentsMultiuserStaging() throws Throwable {
		
		JSDL jsdl = new JSDL(new FileReader(getRes("/attachments.xml")));
		
		System.err.println("Staging files for: " + username1);
		jsdl.setUserName(username1);
		staging.stageInFiles(jsdl);
		staging.stageOutFiles(jsdl);
		
		File stagedOutFile = new File("/tmp/profile.staged");
		File stagedInFile = new File("/etc/profile");
		
		assertFileEquals(stagedInFile, stagedOutFile);
		stagedOutFile.delete();
		
		System.err.println("Staging files for: " + username2);
		jsdl.setUserName(username2);
		staging.stageInFiles(jsdl);
		staging.stageOutFiles(jsdl);
		
		assertFileEquals(stagedInFile, stagedOutFile);
		stagedOutFile.delete();
		
	}
	
}
