#!/bin/bash 

SCRIPT_DIRNAME=`dirname $0`
SMOA_COMP_HOME=`cd $SCRIPT_DIRNAME && pwd`
SMOA_COMP_SERVICE_URL=${SMOA_COMP_SERVICE_URL:="http://localhost:19000/"}
DEBUG=false

CP="$SMOA_COMP_HOME/SMOAComputingSDK-2.2.0.jar"

for jar in $SMOA_COMP_HOME/lib/*.jar; do
	CP="$CP:$jar"
done


java -Dsmoa.comp.service.url=$SMOA_COMP_SERVICE_URL -Dsmoa.debug=$DEBUG -cp $CP com.smoa.comp.client.SMOAComputingClient $*
