package com.smoa.comp.sdk.exceptions;

import java.util.LinkedList;
import java.util.List;

import com.smoa.comp.sdk.exceptions.SMOACompException;

public class FileNotFoundException extends SMOACompException {
	protected List<String> filesList = new LinkedList<String>();
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public FileNotFoundException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.smoa.comp.stubs.staging.FileNotFoundFault) {
			com.smoa.comp.stubs.staging.FileNotFoundFault f = (com.smoa.comp.stubs.staging.FileNotFoundFault)ex;
			infoMessage = f.getFaultInfo().getValue();
		} else {
			throw new AssertionError(ex);
		}
	}
	
}
