package com.smoa.comp.sdk.exceptions;

import com.smoa.comp.sdk.exceptions.SMOACompException;

public class NotAuthorizedException extends SMOACompException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public NotAuthorizedException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.smoa.comp.stubs.bes.factory.NotAuthorizedFault) {
			//com.smoa.comp.stubs.bes.factory.NotAuthorizedFault f = (com.smoa.comp.stubs.bes.factory.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.smoa.comp.stubs.bes.management.NotAuthorizedFault) {
			//com.smoa.comp.stubs.bes.management.NotAuthorizedFault f = (com.smoa.comp.stubs.bes.management.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.smoa.comp.stubs.ares.NotAuthorizedFault) {
			//com.smoa.comp.stubs.ares.NotAuthorizedFault f = (com.smoa.comp.stubs.ares.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.smoa.comp.stubs.staging.NotAuthorizedFault) {
			//com.smoa.comp.stubs.staging.NotAuthorizedFault f = (com.smoa.comp.stubs.staging.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else {
			throw new AssertionError(ex);
		}
	}
}
