package com.smoa.comp.tests;



import java.util.Date;

import com.smoa.comp.sdk.ardl.ARDL;
import com.smoa.comp.sdk.jsdl.JSDL;


/**
 * Unit test for simple App.
 */
public class JsdlArdlSerializationTest 
    extends SMOACompConfig
{
	
	public void testARDLJSDL() {
		
		JSDL jsdl = new JSDL("test");
		jsdl.setExecutable("/bin/test");
		System.err.println("jsdl = " + jsdl);

		ARDL ardl = new ARDL((new Date()));
		ardl.setTotalSlotsCount(1);
		ardl.getNativeResources().add("NAMD");
	
		System.err.println("ardl = " + ardl);	
	}
	
	
}
