#!/bin/sh

if [ $# -ne 1 ]
then
        echo "Usage:" 
        echo "$0 TARGET_DIRECTORY"
        exit 1
fi


TARGET_DIRECTORY=$1
SMOA_PLUGIN_HOME=$(cd `dirname $0`  && pwd)

mkdir -p $TARGET_DIRECTORY || exit 1

cp -r $SMOA_PLUGIN_HOME/SMOAComputingSDK-* $TARGET_DIRECTORY/ || exit 1
cp $SMOA_PLUGIN_HOME/README $TARGET_DIRECTORY/ || exit 1
cp $SMOA_PLUGIN_HOME/smoa-nagios.sh $TARGET_DIRECTORY/ || exit 1
cp $SMOA_PLUGIN_HOME/smoa-test-job.xml $TARGET_DIRECTORY/ || exit 1

echo "Smoa Computing probe installed in $TARGET_DIRECTORY"
